Subject: Re: web page

From: [email-masked]
Date: Wed, 2 Apr 1997 21:19:17 +0100 (BST)

Matthew Wilcox writes:
> 
> You're missing the closing quote in the A HREF at the bottom of
> ~rmk92/armlinux/tools.html.  So I can't follow the link properly.

Ok, thanks.  I've probably already updated it as soon as I saw this
mail...

> I'd be rather interesated in porting glibc 2 for my 3rd year project.  Am
> I right in thinking that what needs to be done first is addition of the
> ability to produce ELF for the ARM from gcc, and the prerequisite for this
> is:

> (a) ARM to release their ELF standard
> (b) GCC modified to accept -fPIC for the ARM
> (c) Binutils modified to know about ARM ELF
> 
> not necessarily in that order of course.

That's all about right.  I've looked at the binutils, and indeed have some
patches that will allow binutils to read ARM ELF, but not generate it
correctly.
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |       Russell King      [email-masked]         --- ---
  | | | | http://whirligig.ecs.soton.ac.uk/~rmk92/home.html  /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |      *  who wishes that he was in Hong Kong  *      ---  |
    +-+-+ -------------------------------------------------  /\\\  |